<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich">
      

     <ui:composition>
     <a4j:form id="SvcDetGroupingForm">
	 	<rich:extendedDataTable reRender="scroller" id="svcDetListTable" var="svcdet" value="#{pc_SvcDetGrouping.serviceDetPaginatingDataModel}" rows="10" width="100%" height="50%" sortMode="single" selectionMode="single">
			<rich:column id="col_1" width="10%" label="Select" sortBy="#{svcdet.code}" sortOrder="#{pc_SvcDetGrouping.codeSortOrder}" filterBy="#{svcdet.code}" filterEvent="onblur" filterValue="#{pc_SvcDetGrouping.codeFilterValue}" >
				<f:facet name="header">	
					<h:outputText value="Codes"/>									
	        	</f:facet>
				<h:outputText value="#{svcdet.code}"/>									
			</rich:column>
						
			<rich:column id="col_2" width="66%" label="Name" sortBy="#{svcdet.shortName}" sortOrder="#{pc_SvcDetGrouping.shortNameSortOrder}"  filterBy="#{svcdet.shortName}" filterEvent="onblur" filterValue="#{pc_SvcDetGrouping.shortNameFilterValue}"> 
				<f:facet name="header">Name</f:facet>
				<h:outputText id="svcdetName" value="#{svcdet.shortName}"/>
			</rich:column>
			
			<rich:column id="col_3" width="12%" style="text-align: center" label="Effective Date"  sortBy="#{svcdet.effectiveDateString}" sortOrder="#{pc_SvcDetGrouping.effectiveDateSortOrder}"> 
				<f:facet name="header">Eff Date</f:facet>
				<h:outputText value="#{svcdet.effectiveDateString}"/>						
			</rich:column>
			
			<rich:column id="col_4" width="12%" style="text-align: center" label="Expiration Date"  sortBy="#{svcdet.expirationDateString}" sortOrder="#{pc_SvcDetGrouping.expirationDateSortOrder}">
				<f:facet name="header">Exp Date</f:facet>
				<h:outputText value="#{svcdet.expirationDateString}"/>						
			</rich:column>
		</rich:extendedDataTable>
		<rich:datascroller id="scroller" for="svcDetListTable" maxPages="50" ajaxSingle="false" renderIfSinglePage="false" page="#{pc_SvcDetGrouping.scrollerPage}" />
	</a4j:form>
	</ui:composition>
</html>